Subject: Re: Gitweb caching: Google Summer of Code project

From: Jakub Narebski <[email-masked]>
Date: Sat, 31 May 2008 12:15:34 +0200

On Fri, 30 May 2008, Lea Wiemann wrote:
> Petr Baudis wrote:
> >
> > please make [memcached] optional.
> 
> Oh, absolutely.  I was definitely planning to keep Gitweb runnable 
> without having Cache::Memcached installed.

I think the idea was to have the following options:
 * cache using memcached (Cache::Memcached installed, and memcached on)
 * cache using filesystem, perhaps size aware (with limited cache size)
 * no caching

It is quite possible that one would want/need gitweb caching, but
either does not want hassle with memcached, or memcached is not
feasible (for example memory starved machine).

> > print "<p>This page took ".tv_interval($t0, [gettimeofday])."s to generate.</p>";
> 
> Sure -- I'm not sure how useful bare timings are, though.  When I look 
> at individual pages, the page cache is usually warm anyway, so the only 
> thing I might be interested in is advanced statistics like the number of 
> calls to git

This should be fairly easy, just modify git_cmd() to count number of
calls.

> or number of cache hits/misses.

And this I don't think it would be easy.

-- 
Jakub Narebski
Poland